### Function

# Ide HighlightCallback

#### Declaration

    IdeHighlightResult
    (* IdeHighlightCallback) (
      const GtkTextIter* begin,
      const GtkTextIter* end,
      const gchar* style_name
    )

#### Description

No description available.

#### Parameters

`begin` | `GtkTextIter`
| No description available.
| The data is owned by the caller of the function.
`end` | `GtkTextIter`
| No description available.
| The data is owned by the caller of the function.
`style_name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeHighlightResult`
| No description available.